header {
  --header-height: 80px;
  position: sticky;
}

.site-header__inner {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 0 20px;
  height: var(--header-height);

  @media (min-width: 1024px) {
    padding: 24px 64px;
    max-width: 1440px;
    margin: auto;
    --header-height: auto;
  }
}
